Bug 245598 - x11/terminology: Update to 1.7.0
Summary: x11/terminology: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 12:18 UTC by Tomasz "CeDeROM" CEDRO
Modified: 2020-05-16 22:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (enlightenment)


Attachments
patch to be applied from /usr/ports/x11 (4.06 KB, patch)
2020-04-13 12:18 UTC, Tomasz "CeDeROM" CEDRO
no flags Details | Diff
patch to be applied from /usr/ports (4.12 KB, patch)
2020-04-13 12:45 UTC, Tomasz "CeDeROM" CEDRO
no flags Details | Diff
terminology 1.7.0 shar (4.64 KB, text/plain)
2020-05-13 20:16 UTC, Tomasz "CeDeROM" CEDRO
no flags Details
1.6.0 works on older and newer efl+e. 1.7.0 does not. (4.64 KB, text/plain)
2020-05-14 12:52 UTC, Tomasz "CeDeROM" CEDRO
no flags Details
1.4.1 -> 1.6.0 patch. (4.12 KB, patch)
2020-05-14 12:53 UTC, Tomasz "CeDeROM" CEDRO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz "CeDeROM" CEDRO 2020-04-13 12:18:25 UTC
Created attachment 213366 [details]
patch to be applied from /usr/ports/x11

This updates the Terminology a terminal emulator for EFL / Enligthenment. Requires EFL to build and run.
Comment 1 Tomasz "CeDeROM" CEDRO 2020-04-13 12:45:53 UTC
Created attachment 213367 [details]
patch to be applied from /usr/ports
Comment 2 Conrad Meyer freebsd_committer 2020-05-10 20:21:57 UTC
1.7.0 is released.  Any update, Loïc?
Comment 3 Loïc Bartoletti freebsd_committer 2020-05-12 02:22:50 UTC
I'm waiting to update EFL #245594
Maybe it's not necessary. Thomasz, what do you think?
Comment 4 Conrad Meyer freebsd_committer 2020-05-12 02:27:13 UTC
Both terminology 1.6.0 and 1.7.0 build fine against EFL 1.20, which is what we already have in ports.  I have not tried running the 1.20-linked version yet.
Comment 5 Tomasz "CeDeROM" CEDRO 2020-05-12 11:43:40 UTC
Yes Terminology can work with older EFL you can try it out and push to ports :-)

Sorry for the delay with EFL I am badly owerworked, the only things left are the make config options, if you could help me with that it would be wonderful, I am already working on the new EFL on my laptop for some time and the stability is far better than the old one :-)
Comment 6 Tomasz "CeDeROM" CEDRO 2020-05-13 20:16:29 UTC
Created attachment 214463 [details]
terminology 1.7.0 shar

Builds and works with current EFL 1.20.7 and Enlightenment 0.22.4.
Comment 7 Loïc Bartoletti freebsd_committer 2020-05-14 07:17:02 UTC
Hi, Thanks for the explanation. I'll take a look tonight for efl and terminology. Can you post a diff instead of a shar? Thanks.
Comment 8 Tomasz "CeDeROM" CEDRO 2020-05-14 12:52:01 UTC
Created attachment 214489 [details]
1.6.0 works on older and newer efl+e. 1.7.0 does not.

STOP! 1.7.0 doe NOT work correctly with new EFL 1.23.3 and E 0.23.1. There is no input reaction. 

1.6.0 builds and works fine on both older and newer versions.

I would stay with 1.6.0 in the first place and when EFL and E things are sorted out then move to 1.7.0. Sorry!

I know Terminology 1.7.0 is out and EFL 1.24.1, but lets make first things first, see what works and how, send patches to the upstream, etc. Rush will lead to more problems here :-)
Comment 9 Tomasz "CeDeROM" CEDRO 2020-05-14 12:53:10 UTC
Created attachment 214490 [details]
1.4.1 -> 1.6.0 patch.
Comment 10 Conrad Meyer freebsd_committer 2020-05-14 15:03:56 UTC
I'm happy with 1.6.0 as well.  I think it should a much smaller update than EFL, so I'd encourage looking at and committing it first ;-).

(1.4.1 was released 2019-05; 1.5.0 2019-07; 1.6.0 2019-11; and 1.7.0 just this month.  So 1.6.0 catches us up to everything prior to this month and gets us off the year-old 1.4.1.)
Comment 11 Tomasz "CeDeROM" CEDRO 2020-05-14 15:10:04 UTC
Cool, first things first, thanks :-)

Please take a look at new EFL and help testing: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245594

Looks like EFL/E/Terminology was abandoned a bit but in recent move from Xorg towards Wayland that may be the first fully featured running on Wayland here :-)
Comment 12 Tomasz "CeDeROM" CEDRO 2020-05-14 15:17:55 UTC
I have reported 1.7.0 issues to the upstream :-)

https://phab.enlightenment.org/T8716
Comment 13 Tomasz "CeDeROM" CEDRO 2020-05-15 11:09:49 UTC
Turns out Terminology 1.7.0 issues comes from and are highly dependent on the EFL build configuration.

We can now push 1.6.0 update that will work with older EFL that is currently present in the system. Then, when new EFL port is ready, we can make another update 1.6.0 -> 1.7.0..?
Comment 14 Conrad Meyer freebsd_committer 2020-05-15 13:35:53 UTC
Sounds good to me, Tomasz.
Comment 15 commit-hook freebsd_committer 2020-05-16 06:05:59 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat May 16 06:05:36 UTC 2020
New revision: 535354
URL: https://svnweb.freebsd.org/changeset/ports/535354

Log:
  x11/terminology: Update to 1.6.0

  PR:		245598
  Submitted by:	tomek@cedro.info
  Approved by:	tcberner (mentor), cem
  Differential Revision:	https://reviews.freebsd.org/D24840

Changes:
  head/x11/terminology/Makefile
  head/x11/terminology/distinfo
  head/x11/terminology/pkg-descr
  head/x11/terminology/pkg-plist
Comment 16 Loïc Bartoletti freebsd_committer 2020-05-16 06:07:15 UTC
Committed, Thanks!
Comment 17 Tomasz "CeDeROM" CEDRO 2020-05-16 22:10:53 UTC
Thank You! :-)